import Vue from 'vue';
import Vuex from 'vuex';
Vue.use(Vuex);
const api = {
  login: `/api/train/y/userBind`,
  loginSuccess: '/api/train/y/loginSuccess',
};
const state = () => ({});
const mutations = {};

const actions = {
  // eslint-disable-next-line no-unused-vars
  async login({ commit }, payload) {
    let res = await this.$axios.$post(`${api.login}`, payload);
    return res;
  },
  // 云就业登录登记
  // eslint-disable-next-line no-unused-vars
  async loginSuccess({ commit }, payload) {
    const res = await this.$axios.$post(`${api.loginSuccess}`, { id: payload });
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
