import Vue from "vue";
import VueRouter from "vue-router";
import LoginView from "../views/login.vue";
import LoadingView from "../views/loading.vue";

Vue.use(VueRouter);

const routes = [
  {
    path: '/',
    name: 'login',
    component: LoginView,
  },
  {
    path: '/deal',
    name: 'deal',
    component: LoadingView,
  },
];
const router = new VueRouter({
  mode: 'history',
  base: process.env.VUE_APP_ROOT_URL,
  routes,
});

export default router;
